-- Schema: C6MartPeriodicoImmobiliare
-- Stored Procedure: SP_Valorizza_Stati_semaforo_IMM








-- flag_stato=1 completato (verde)
-- flag_stato=2 in esecuzione (giallo)
-- flag_stato=3 non lavorato (rosso)

--truncate table C6MartPeriodicoImmobiliare.tab_semaforo

--C6MartPeriodicoImmobiliare.SP_Valorizza_Stati_semaforo_TRIM quad_end,SEI

  --select * from C6MartPeriodicoImmobiliare.tab_semaforo
-- Stored procedure  

-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodicoImmobiliare].[SP_Valorizza_Stati_semaforo_IMM] @param1 varchar(20),@tipo varchar(20)
AS  
BEGIN  
 -- SET NOCOUNT ON added to prevent extra result sets from  
 -- interfering with SELECT statements.  
 declare 
 @intero  int,
 @semestrale varchar(3),
 @lotto varchar(3),
 @testi_statici varchar(3),
 --@lotto_zero varchar(3),
 @omi varchar(3),
 @richiesta_catasto varchar(3),
 @richiesta_rischio varchar(3),
 @Generazione_Invio_PDF varchar(3),


 --descrizioni
 @desc_semestrale varchar(256),
 @desc_testi_statici varchar(256),
 @desc_lotto varchar(256),
 @desc_omi varchar(256),
 @desc_richiesta_catasto varchar(256),
 @desc_richiesta_rischio varchar(256),
 @desc_Generazione_Invio_PDF varchar(256)


 set @intero='0'
 set @semestrale='1'
 --set @lotto='2'
 set @testi_statici='2'
 set @omi='3'
 set @richiesta_catasto='4'
 set @richiesta_rischio='5'
 --set @adeguatezza='7'
 --set @post_ade='8'
 set @Generazione_Invio_PDF='6'
 

 set @desc_semestrale='Rendicontazioni sugli investimenti per i clienti con contratto di consulenza "IMMOBILIARI". '
 set @desc_testi_statici='Fase dei testi statici.'
 set @desc_lotto='Preparazione delle rendicontazioni in corso.'
 set @desc_omi='Fase di omi per il database di marketing.'
 set @desc_richiesta_catasto='Fase di Richiesta al Catasto'
 set @desc_richiesta_rischio='Fase di Richiesta del Rischio.'
 set @desc_Generazione_Invio_PDF='Generazione e Invio PDF.'
 
 


 --select * from C6MartPeriodicoImmobiliare.tab_semaforo

 --inserimento
 --select * from C6MartPeriodicoImmobiliare.tab_semaforo
 --insert into C6MartPeriodicoImmobiliare.tab_semaforo values
 --avvio_trimestre

 --update C6MartPeriodicoImmobiliare.tab_semaforo
 --set descrizione='Fase di omi per il database di marketing'
 --from C6MartPeriodicoImmobiliare.tab_semaforo
 --where id_milestone=4
if ((select COUNT(*) from C6MartPeriodicoImmobiliare.tab_semaforo)=0)
begin
insert into C6MartPeriodicoImmobiliare.tab_semaforo values 
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@semestrale,'SEMESTRALE',@desc_semestrale,'','',3,@intero,'','',0),
--([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@lotto_zero,'LOTTO 0','','','',3,@intero,'','',0),
--([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@lotto,'LOTTO',@desc_lotto,'','',3,@intero+1,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@testi_statici,'TESTI STATICI',@desc_testi_statici,'','',3,@intero,'','',0),

([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@omi,'OMI',@desc_omi,'','',3,@intero,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@richiesta_catasto,'RICHIESTA CATASTO',@desc_richiesta_catasto,'','',3,@intero,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@richiesta_rischio,'RICHIESTA RISCHIO',@desc_richiesta_rischio,'','',3,@intero,'','',0),
--([C6MartPeriodicoImmobiliare].[getTrimestre](GETDATE(),0),@tipo,@adeguatezza,'ADEGUATEZZA'+' '+ cast(@intero+1 as varchar),'','','',3,@intero+1),
--([C6MartPeriodicoImmobiliare].[getTrimestre](GETDATE(),0),@tipo,@post_ade,'POST_ADE'+' '+ cast(@intero+1 as varchar),'','','',3,@intero+1),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@Generazione_Invio_PDF,'GENERAZIONE E INVIO PDF',@desc_Generazione_Invio_PDF,'','',3,@intero,'','',0)
end

--insert into C6MartPeriodicoImmobiliare.tab_semaforo values 
--([C6MartPeriodicoImmobil
